Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1135761 - XSD schema validation error: cpu_profile & disk_profile objects missing 'qos' element
Summary: XSD schema validation error: cpu_profile & disk_profile objects missing 'qos'...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Gilad Chaplik
QA Contact: Nelly Credi
URL:
Whiteboard: sla
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-31 10:25 UTC by Nelly Credi
Modified: 2016-02-10 20:16 UTC (History)
14 users (show)

Fixed In Version: vt3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:13:55 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32311 master MERGED restapi: allow no QoS for Profile element Never
oVirt gerrit 32312 ovirt-engine-3.5 MERGED restapi: allow no QoS for Profile element Never
oVirt gerrit 32362 master MERGED restapi: allow no parent element for Profile Never
oVirt gerrit 32390 ovirt-engine-3.5 MERGED restapi: allow no parent element for Profile Never

Description Nelly Credi 2014-08-31 10:25:43 UTC
Description of problem:
XSD schema validation error: cpu_profile & disk_profile objects missing 'qos' element

Version-Release number of selected component (if applicable):
vt2

How reproducible:
100%

Steps to Reproduce:
1. create vm & template to get the ID
2. get the objects
3. take the href from cpu_profile\disk_profile references


Actual results:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<disk_profile href="/ovirt-engine/api/diskprofiles/336f9458-f228-4386-a6b4-a12e94dd12ae" id="336f9458-f228-4386-a6b4-a12e94dd12ae">
    <name>DataDomainRest</name>
    <link href="/ovirt-engine/api/diskprofiles/336f9458-f228-4386-a6b4-a12e94dd12ae/permissions" rel="permissions"/>
    <storage_domain href="/ovirt-engine/api/storagedomains/f456b5ee-ac72-4e33-b6fb-e9b06097d25e" id="f456b5ee-ac72-4e33-b6fb-e9b06097d25e"/>
</disk_profile>


<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cpu_profile href="/ovirt-engine/api/cpuprofiles/9edd08be-e7a0-45c7-a296-6ee030dd1f94" id="9edd08be-e7a0-45c7-a296-6ee030dd1f94">
    <name>RestCluster1</name>
    <link href="/ovirt-engine/api/cpuprofiles/9edd08be-e7a0-45c7-a296-6ee030dd1f94/permissions" rel="permissions"/>
    <cluster href="/ovirt-engine/api/clusters/94e028b1-3109-4eb1-a129-be07341e9420" id="94e028b1-3109-4eb1-a129-be07341e9420"/>
</cpu_profile>



Expected results:

expected to see 'qos' element as described in api.xsd 

  <xs:complexType name="DiskProfile">
    <xs:complexContent>
      <xs:extension base="BaseResource">
        <xs:sequence>
          <xs:element ref="qos" minOccurs="1" maxOccurs="1"/>
          <xs:element ref="storage_domain" minOccurs="1" maxOccurs="1"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>


<xs:complexType name="CpuProfile">
    <xs:complexContent>
      <xs:extension base="BaseResource">
        <xs:sequence>
          <xs:element ref="qos" minOccurs="1" maxOccurs="1"/>
          <xs:element ref="cluster" minOccurs="1" maxOccurs="1"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>


Additional info:

Comment 1 Eyal Edri 2014-09-10 20:21:49 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 2 Eyal Edri 2015-02-17 17:13:55 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.